Subject: RE: I-D ACTION:draft-ietf-ipv6-node-requirements-08.txt

From: [email-masked]
Date: Thu, 19 Feb 2004 07:08:01 +0200

Mark,

>    "Those nodes are NOT RECOMMENDED to support the experimental A6 and
>    DNAME Resource Records [RFC-3363]."
> 
> 	I object to recommending that DNAME's not be supported.  RFC
> 	3363 does NOT say that.  It says that they shouldn't be use
> 	in the reverse tree for RENUMBERING purposes.  Even then the
> 	logic to get to that decision is DUBIOUS at best.
> 
> 	If RFC 3363 was ever to be revised I would be pushing for the
> 	entire section on DNAME to be removed.  We really should not
> 	be saying were in the DNS tree DNAME can be used.
> 
> 	RFC 3363 most definitly does not recommend that DNAMES be not
> 	supported.

So, what should the document say?  The Node Requirements doc shouldn't
update RFC-3363, so that would be another issue.

3363 does say:

   The issues for DNAME in the reverse mapping tree appears to be
   closely tied to the need to use fragmented A6 in the main tree: if
   one is necessary, so is the other, and if one isn't necessary, the
   other isn't either.  Therefore, in moving RFC 2874 to experimental,
   the intent of this document is that use of DNAME RRs in the reverse
   tree be deprecated.

How about:

    "Those nodes are NOT RECOMMENDED to support the experimental A6 
     Resource Records [RFC-3363]. Usage of DNAME Reseource Records in
     the reverse tree is deprecated."

John
 
> 	I really suspect that we will want to use DNAME for renumbering
> 	even without A6 and bit-string labels.  Trying to get
> 	multiple levels of delegation updated quickly is a pain.
> 	Just look at the problems we are having going from IP6.INT
> 	to IP6.ARPA.  Do we want this pain level with every renumber
> 	event.
> 
> 	Mark
> --
> Mark Andrews, ISC
> 1 Seymour St., Dundas Valley, NSW 2117, Australia
> PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Mark Andrews <[email-masked]>
Date: Thu, 19 Feb 2004 16:32:33 +1100

> update RFC-3363, so that would be another issue.

	It may however pay us to rev RFC-3363 just to remove the
	offending section prior to getting out the node requirements.
 
>      the reverse tree is deprecated."

	Just don't mention DNAME at all.  Note DNAME support will
	be manditory with DNSSEC so the only issue is whether we
	discourage the use under IP6.ARPA which I (and lots of others
	in dnsext) now believe we got wrong.

       "Those nodes are NOT RECOMMENDED to support the experimental A6
	Resource Records [RFC-3363]."

	Mark